--- old/usr/src/uts/common/fs/zfs/zfs_ctldir.c	2013-05-16 17:33:50.421857958 -0600
+++ new/usr/src/uts/common/fs/zfs/zfs_ctldir.c	2013-05-16 17:33:50.430901327 -0600
@@ -505,6 +505,11 @@
 	{ NULL }
 };
 
+/*
+ * Gets the full dataset name that corresponds to the given snapshot name
+ * Example:
+ * 	zfsctl_snapshot_zname("snap1") -> "mypool/myfs@snap1"
+ */
 static int
 zfsctl_snapshot_zname(vnode_t *vp, const char *name, int len, char *zname)
 {
